package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.bank.BankApi;
import cn.iocoder.yudao.module.ecw.api.bank.dto.BankAccountDTO;
import cn.iocoder.yudao.module.ecw.convert.bankAccount.BankAccountConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.bankAccount.BankAccountDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.bankAccount.BankAccountMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BankApiImpl implements BankApi {
    @Resource
    private BankAccountMapper bankAccountMapper;

    @Override
    public BankAccountDTO getBankAccountByAccountNo(String baAccountNum) {
        List<BankAccountDO> bankAccountDO = bankAccountMapper.selectList("ba_account_num", baAccountNum);
        if (bankAccountDO != null && !bankAccountDO.isEmpty()) {
            return BankAccountConvert.INSTANCE.convertDTO(bankAccountDO.get(0));
        }
        return null;
    }

    @Override
    public BankAccountDTO getBankAccountByAccountId(Long id) {
        BankAccountDO bankAccountDO = bankAccountMapper.selectById(id);
        return BankAccountConvert.INSTANCE.convertDTO(bankAccountDO);
    }
}
